package plant

import "github.com/gin-gonic/gin"

type UserProfileRouter struct{}

func (c *UserProfileRouter) InitUserProfileRouter(Router *gin.RouterGroup) {
	userProfileRouter := Router.Group("profile")
	{
		userProfileRouter.POST("update", userProfileApi.UpdateProfile)
		userProfileRouter.GET("detail", userProfileApi.ProfileDetail)

		userProfileRouter.POST("star", userProfileApi.MyStars)  //我的收藏
		userProfileRouter.GET("badge", userProfileApi.MyBadges) //我的徽章
	}

}
